uusi: A program removing all version constraints of dependencies in .cabal file

This is a package candidate release! Here you can preview how this package release will appear once published to the main package index (which can be accomplished via the 'maintain' link below). Please note that once a package has been published to the main package index it cannot be undone! Please consult the package uploading documentation for more information.

[maintain] [Publish]

uusi is a command-line program to remove all version constraints of dependencies in .cabal files. It is used in distribution packaging because --allow-newer is not present when calling Setup.hs instead of cabal-install.


[Skip to Readme]

Properties

Versions 0.0.0.0, 0.0.0.0, 0.0.1.0, 0.1.0.0, 0.2.0.0, 0.2.1.0, 0.3.0.0, 0.3.1.0, 0.4.0.0, 0.4.1.0, 0.4.2.0
Change log CHANGELOG.md
Dependencies base (>=4.14.0 && <4.15), Cabal (>=3.2.0 && <3.3), colourista (>=0.1 && <0.2), directory (>=1.3.6 && <1.4), microlens (>=0.4.11 && <0.5), optparse-applicative (>=0.15.1 && <0.16), process (>=1.6.9 && <1.7), text (>=1.2.3 && <1.3) [details]
License MIT
Copyright 2020 berberman
Author berberman
Maintainer berberman <1793913507@qq.com>
Category Distribution
Home page https://github.com/berberman/uusi
Bug tracker https://github.com/berberman/uusi/issues
Source repo head: git clone https://github.com/berberman/uusi.git
Uploaded by berberman at 2020-09-24T13:06:52Z

Downloads

Maintainer's Corner

For package maintainers and hackage trustees


Readme for uusi-0.0.0.0

[back to package description]

uusi

GitHub CI Build Status Hackage MIT license